=== common/CMakeLists.txt ===
# common

# nothing for now
