=== man/CMakeLists.txt ===
# man

install_man_pages (
   "dynamips.1"
   "nvram_export.1"
   "hypervisor_mode.7"
   )
