=== debian/control ===
Source: dynamips
Section: non-free/net
Priority: optional
Maintainer: Daniel Lintott <daniel@serverb.co.uk>
Build-Depends:
 cmake,
 debhelper (>= 9.20120417~),
 libelf-dev,
 libpcap0.8-dev,
 uuid-dev
Standards-Version: 3.9.6
Homepage: http://www.gns3.net/dynamips
Vcs-Browser: http://anonscm.debian.org/cgit/users/dlintott-guest/dynamips.git
Vcs-Git: git://anonscm.debian.org/users/dlintott-guest/dynamips.git
XS-Autobuild: yes

Package: dynamips
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gns3
Description: Cisco 7200/3600/3725/3745/2600/1700 Router Emulator
 Dynamips emulates Cisco 7200/3600/3725/3745/2600/1700 Routers on a traditional
 PC.  You can use dynamips to create labs. It uses IOS Images (which are not
 part of this package). Of course, this emulator cannot replace a real router.
 .
 It is simply a complementary tool to real labs for administrators of Cisco
 networks or people wanting to pass their CCNA/CCNP/CCIE exams. For a Command
 Line Interface for dynamips see dynagen or gns3 package.
