=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dynamips-$1\.tar\.gz/ \
  https://github.com/GNS3/dynamips/releases .*/archive/v?(\d\S*)\.tar\.gz
