## dynamips 0.2.23

=== debian/changelog ===
dynamips (0.2.23-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.2.23 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 17:09:22 +0100

dynamips (0.2.22-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.2.22 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 22:17:19 +0100

dynamips (0.2.21-1kaisen2) kaisen-packages; urgency=medium

  * Add manpages
  * Update build dependancies

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 10 Oct 2020 22:25:07 +0200

dynamips (0.2.21-1kaisen1) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 04 Oct 2020 06:15:32 +0200
